3

I have installed synergy 1.5 on a RHEL6 server (panther) and Xubuntu 13.10 (wolf). My synergy.conf file is

section: options
    screenSaverSync = true
end
section: screens
    panther:
    wolf:
end
section: links
    panther:
    right = wolf
   wolf:
       left = panther
end

As a non-root user on panther I start the server

synergys --config /etc/synergy.conf

and get the following message

INFO: Synergy 1.5.0 Server on Linux 2.6.32-358.2.1.el6.x86_64 #1 SMP Wed Feb 20 12:17:37 EST 2013 x86_64

However when I run synergyc -f panther on the client machine

NOTE: connecting to panther: 172.31.70.161:24800
WARNING: failed to connect to server: incompatible client 1.3

I get the same error when substituting panther with the ip and also with iptables disabled on the server.

Any ideas

4

Synergy requires the same version on both the server and the client. See:

http://synergy2.sourceforge.net/trouble.html#problem8

While you write that use have install 1.5 on both machines. The 1.3 in the error message suggests you may have just installed synergy from the Ubuntu repositories as they were most likely shipping a 1.3 version with 13.10.

0

For me, all I had to do was upgrade Synergy on both machines, and then restart the daemon processes:

sudo ps aux | grep -i synergy

and then whatever pid you see (e.g., if it is 77279),

kill 77279

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.